﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace pristaniNaMesici
{
    class Modul
    {
        /// <summary>
        /// Vrací nebo nastavuje souřadnici středu modulu na vodorovné ose (z levé strany) 
        /// </summary>
        public decimal X { get; set; }

        /// <summary>
        /// Vrací nebo nastavuje souřadnici středu modulu na svislé ose (od zdola)
        /// </summary>
        public decimal Y { get; set; }

        /// <summary>
        /// Vrací nebo nastavuje rychlost modulu směrem doprava
        /// </summary>
        public decimal V_x { get; set; }

        /// <summary>
        /// Vrací šířku modulu
        /// </summary>
        public int RozmerX { get; } = 20;

        /// <summary>
        /// Vrací výšku modulu
        /// </summary>
        public int RozmerY { get; } = 20;

        /// <summary>
        /// Vrací nebo nastavuje rychlost modulu směrem doleva
        /// </summary>
        public decimal V_y { get; set; }

        /// <summary>
        /// Vrací nebo nastavuje množství paliva modulu
        /// </summary>
        public decimal Palivo { get; set; }
    }
}
